Placa Atheros no Ubuntu 10.10

Publicado por Thiago em 27/07/2012

[ Hits: 6.379 ]

 


Placa Atheros no Ubuntu 10.10



Olá!

Esses dias tive um problema com placa de rede onboard Atheros, o Ubuntu 10.10 não reconheceu. Depois de tanto quebrar a cabeça achei essa dica na Internet.

Instalação

1. É necessário ter o pacote "build-essential" instalado. Para isso, execute:

sudo apt-get install build-essential

2. Criar uma pasta "compat" dentro da pasta do usuário:

mkdir ~/compat

3. Depois, deverá realizar o download do arquivo "compat-wireless-<versão>.tar.bz2", mais recente no link:
4. Copiar o arquivo baixado para a pasta "compat" (no meu caso, ele estava na pasta Home do usuário):

cp ~/compat-wireless-3.5-rc5-1.tar.bz2 ~/compat/

5. E execute os seguintes procedimentos:

cd ~/compat
$ tar -xjvf compat-wireless-3.5-rc5-1.tar.bz2
$ cd compat-wireless*
$ scripts/driver-select atl1c
$ make
$ sudo make install


Feito estes passos, reinicie o seu sistema e conecte o cabo de rede na sua interface.

Caso ao conectar o cabo ainda não apareça, execute o comando abaixo:

sudo modprobe atl1c

E reinicie novamente.

Referência



Outras dicas deste autor

VirtualBox no Debian Squeeze

Habilitar porta paralela PCI Express NetMos Technology Device 9900 no Debian Squeeze

Leitura recomendada

Softwares Comerciais para empresas brasileiras na Snap Store

Instalando o tema GTK padrão do Zorin OS em qualquer distribuição

Chega de dual boot

Qmmp - Um tocador parecido com o Winamp

Brasil ganha incubadora de Software Livre

  

Comentários
[1] Comentário enviado por wellingtonjoao em 28/07/2012 - 11:08h

Eu instalo tanto no ubuntu quanto no debian o pacote firmware-linux-nonfree que resolve muito problemas com modulos.

[2] Comentário enviado por AllanOliveira em 27/04/2013 - 12:39h

Cara tentei fazer isso no meu Ubuntu 13.04, uso o Notebook Lenovo G480. Problemas na minha placa Atheros - Ethernet

Quando executei o comando "sudo apt-get install build-essential ", falou que foi impossivel, dai prosegui com os outros comandos, mas relatou no final de tudo
que deu 2 erros.

OBS: Baixei a ultima versão do arquivo, que vc deixou o link.

O que posso fazer?

[3] Comentário enviado por mcsfilho em 27/04/2013 - 15:19h

Aqui enfrento um problema um pouco diferente, no meu caso é o ath5k e me recomendaram usar esse método.

Até o comando make e make install, tudo deu certo. ai depois deu erro 2.

[4] Comentário enviado por thvinicius em 21/09/2013 - 16:18h

Quando fiz essa dica utilizava o kernel 2.6, atualmente estou usando o Debian 6 com kernel 3.2, não tive mais problemas :).



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts